Get Field Configuration
curl --request GET \
--url https://api.attention.tech/v2/field-configurations/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.attention.tech/v2/field-configurations/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.attention.tech/v2/field-configurations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"uuid": "b9e1c0a0-5a3d-4a9c-9b1e-2d6f4b7a1c11",
"name": "Enterprise Discovery Questions",
"organizationUUID": "16b78cec-82ef-46d2-8213-5d3bb7d2571c",
"teamsUUID": [
"fe515723-fe2e-4959-a5fa-c4d3937fe7e4"
],
"allTeams": false,
"isDefaultTemplate": false
}
}{
"id": "not_found_error",
"status": "404",
"code": "404",
"title": "Not Found Error",
"detail": "The requested resource was not found",
"source": {
"pointer": "/data/attributes/id"
}
}{
"id": "not_found_error",
"status": "404",
"code": "404",
"title": "Not Found Error",
"detail": "The requested resource was not found",
"source": {
"pointer": "/data/attributes/id"
}
}{
"id": "not_found_error",
"status": "404",
"code": "404",
"title": "Not Found Error",
"detail": "The requested resource was not found",
"source": {
"pointer": "/data/attributes/id"
}
}Field Configuration
Get Field Configuration
Returns a single field configuration by UUID. Field configurations belonging to other organizations return 404 - the API never leaks cross-organization existence.
GET
/
field-configurations
/
{id}
Get Field Configuration
Authorizations
Path Parameters
UUID of the field configuration.
Response
Field configuration successfully retrieved.
Envelope containing a single field configuration.
A Field Configuration (internally IntelligenceItemCollection) groups a set of intelligence items that are surfaced together for the teams it is assigned to. Field Configurations are scoped to a single organization.
Show child attributes
Show child attributes
Example:
{ "uuid": "b9e1c0a0-5a3d-4a9c-9b1e-2d6f4b7a1c11", "name": "Enterprise Discovery Questions", "organizationUUID": "16b78cec-82ef-46d2-8213-5d3bb7d2571c", "teamsUUID": ["fe515723-fe2e-4959-a5fa-c4d3937fe7e4"], "allTeams": false, "isDefaultTemplate": false, "criteria": { "conditions": [ { "field": "account.industry", "value": "technology" } ], "operator": "AND" }, "createdAt": "2026-03-01T12:00:00Z" }
Was this page helpful?
⌘I